/*	Compiler: ECL 12.7.1                                          */
/*	Source: EXT:CL-SIMD;SSE-INTRINSICS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-intrinsics.eclh"
/*	function definition for CPU-PREFETCH-T0                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L1cpu_prefetch_t0(cl_narg narg, cl_object V1, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T0),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-T1                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L2cpu_prefetch_t1(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-T2                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L3cpu_prefetch_t2(cl_narg narg, cl_object V1, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T2),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-NTA                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L4cpu_prefetch_nta(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_NTA),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-CLFLUSH                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L5cpu_clflush(cl_narg narg, cl_object V1, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_clflush((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2))),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-MXCSR                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L6cpu_mxcsr()
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_getcsr()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for %SET-CPU-MXCSR                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L7_set_cpu_mxcsr(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum((_mm_setcsr(ecl_to_fixnum(V1)),ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-LOAD-FENCE                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L8cpu_load_fence()
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_lfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-STORE-FENCE                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L9cpu_store_fence()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_sfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-MEMORY-FENCE                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L10cpu_memory_fence()
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_mfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PAUSE                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L11cpu_pause()
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_pause(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L12set_ss(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set_ss(ecl_to_float(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L13set1_ps(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set1_ps(ecl_to_float(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L14set_ps(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set_ps(ecl_to_float(V1),ecl_to_float(V2),ecl_to_float(V3),ecl_to_float(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L15setr_ps(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_setr_ps(ecl_to_float(V1),ecl_to_float(V2),ecl_to_float(V3),ecl_to_float(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L16setzero_ps()
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_setzero_ps()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17mem_ref_ss(cl_narg narg, cl_object V1, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_load_ss((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L18mem_ref_ps(cl_narg narg, cl_object V1, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_loadu_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-APS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19mem_ref_aps(cl_narg narg, cl_object V1, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_load_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-SS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L20mem_set_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_store_ss((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21mem_ref_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[43],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L22mem_set_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_storeu_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23mem_ref_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[45],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-APS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24mem_set_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_store_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-APS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25mem_ref_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[47],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for STREAM-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L26stream_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_stream_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L27add_ss(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_add_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L28add_ps(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_add_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L29sub_ss(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sub_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L30sub_ps(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sub_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L31mul_ss(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_mul_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L32mul_ps(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_mul_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33div_ss(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_div_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L34div_ps(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_div_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35min_ss(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_min_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L36min_ps(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_min_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37max_ss(cl_object V1, cl_object V2)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_max_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L38max_ps(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_max_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-SS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39sqrt_ss(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sqrt_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40sqrt_ps(cl_object V1)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sqrt_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RSQRT-SS                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L41rsqrt_ss(cl_object V1)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rsqrt_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RSQRT-PS                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L42rsqrt_ps(cl_object V1)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rsqrt_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RCP-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L43rcp_ss(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rcp_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RCP-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L44rcp_ps(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rcp_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L45and_ps(cl_object V1, cl_object V2)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_and_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46andnot_ps(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_andnot_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L47or_ps(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_or_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48xor_ps(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_xor_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L49__ss(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpeq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50__ps(cl_object V1, cl_object V2)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpeq_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L51__ss(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmplt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52__ps(cl_object V1, cl_object V2)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmplt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L53___ss(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmple_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54___ps(cl_object V1, cl_object V2)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmple_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L55__ss(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpgt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56__ps(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpgt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L57___ss(cl_object V1, cl_object V2)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpge_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___ps(cl_object V1, cl_object V2)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpge_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L59___ss(cl_object V1, cl_object V2)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpneq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___ps(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpneq_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L61___ss(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnlt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___ps(cl_object V1, cl_object V2)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnlt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L63____ss(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnle_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64____ps(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnle_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L65___ss(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpngt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___ps(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpngt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L67____ss(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnge_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68____ps(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnge_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-SS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L69cmpord_ss(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpord_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70cmpord_ps(cl_object V1, cl_object V2)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpord_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-SS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L71cmpunord_ss(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpunord_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72cmpunord_ps(cl_object V1, cl_object V2)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpunord_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L73__ss_(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comieq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74__ssu_(cl_object V1, cl_object V2)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomieq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75__ss_(cl_object V1, cl_object V2)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comilt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76__ssu_(cl_object V1, cl_object V2)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomilt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77___ss_(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comile_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78___ssu_(cl_object V1, cl_object V2)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomile_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79__ss_(cl_object V1, cl_object V2)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comigt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80__ssu_(cl_object V1, cl_object V2)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomigt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81___ss_(cl_object V1, cl_object V2)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comige_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L82___ssu_(cl_object V1, cl_object V2)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomige_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L83___ss_(cl_object V1, cl_object V2)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comineq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L84___ssu_(cl_object V1, cl_object V2)
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomineq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L85unpackhi_ps(cl_object V1, cl_object V2)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_unpackhi_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L86unpacklo_ps(cl_object V1, cl_object V2)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_unpacklo_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-SS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L87move_ss(cl_object V1, cl_object V2)
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_move_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEHL-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L88movehl_ps(cl_object V1, cl_object V2)
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_movehl_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVELH-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L89movelh_ps(cl_object V1, cl_object V2)
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_movelh_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEMASK-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L90movemask_ps(cl_object V1)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_movemask_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC91shuffle_ps(cl_object V1, cl_object V2)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  ARG2            */
	cl_object V7;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==ECL_NIL)){
	goto L21;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	V7= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L29;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V8;                            /*  OLDV            */
	V8= V6;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V8,V2,V7) /*  EXPAND-CONSTANT */;
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L35;
	V6= cl_env_copy->values[0];
	if (V9--<=0) goto L36;
	V7= cl_env_copy->values[1];
	goto L37;}
L35:;
	V6= ECL_NIL;
L36:;
	V7= ECL_NIL;
L37:;
	{cl_fixnum V9;
	V9= 0;
	if(!(ECL_FIXNUMP(V6))){
	goto L43;}
	V9= ecl_fixnum(V6);
	if(!((V9)<=(255))){
	goto L48;}
	if((V9)>=(0)){
	goto L39;}
	goto L40;
L48:;
	goto L40;
L43:;
	goto L40;
	}
L40:;
	if(ecl_eql(V8,V6)){
	goto L52;}
	T0= V6;
	goto L50;
L52:;
	T0= ECL_NIL;
	goto L50;
L50:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[180],V8,T0,VV[181]) /*  CMPERR */;
	goto L31;
L39:;
	goto L31;
	}
L31:;
	if((V7)==ECL_NIL){
	goto L55;}
	value0=cl_list(4,VV[180],V4,V5,V6)        /*  LIST            */;
	return value0;
L55:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-PI32-TO-PS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L92convert_pi32_to_ps(cl_object V1)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtepi32_ps(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PS-TO-PI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L93convert_ps_to_pi32(cl_object V1)
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtps_epi32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-PS-TO-PI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L94truncate_ps_to_pi32(cl_object V1)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvttps_epi32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI32-TO-SS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L95convert_si32_to_ss(cl_object V1, cl_object V2)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsi32_ss(ecl_unbox_float_sse_pack(V1),ecl_to_fixnum(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L96convert_ss_to_si32(cl_object V1)
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_cvtss_si32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SS-TO-SI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L97truncate_ss_to_si32(cl_object V1)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_cvttss_si32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-SS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L98convert_si64_to_ss(cl_object V1, cl_object V2)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsi64_ss(ecl_unbox_float_sse_pack(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L99convert_ss_to_si64(cl_object V1)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtss_si64(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SS-TO-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L100truncate_ss_to_si64(cl_object V1)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvttss_si64(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L101set_sd(cl_object V1)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set_sd(ecl_to_double(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L102set1_pd(cl_object V1)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set1_pd(ecl_to_double(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L103set_pd(cl_object V1, cl_object V2)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set_pd(ecl_to_double(V1),ecl_to_double(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L104setr_pd(cl_object V1, cl_object V2)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_setr_pd(ecl_to_double(V1),ecl_to_double(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L105setzero_pd()
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_setzero_pd()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L106mem_ref_sd(cl_narg narg, cl_object V1, ...)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_load_sd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L107mem_ref_pd(cl_narg narg, cl_object V1, ...)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadu_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-APD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L108mem_ref_apd(cl_narg narg, cl_object V1, ...)
{ VT109 VLEX109 CLSR109 STCK109
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_load_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOADH-PD                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L109loadh_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT110 VLEX110 CLSR110 STCK110
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadh_pd(ecl_unbox_double_sse_pack(V1),(double*)(((char*)ecl_to_pointer(V2)) + ecl_to_int(V3)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOADL-PD                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L110loadl_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT111 VLEX111 CLSR111 STCK111
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadl_pd(ecl_unbox_double_sse_pack(V1),(double*)(((char*)ecl_to_pointer(V2)) + ecl_to_int(V3)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-SD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L111mem_set_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT112 VLEX112 CLSR112 STCK112
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_store_sd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112mem_ref_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT113 VLEX113 CLSR113 STCK113
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[222],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L113mem_set_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT114 VLEX114 CLSR114 STCK114
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storeu_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC114mem_ref_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT115 VLEX115 CLSR115 STCK115
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[224],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-APD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L115mem_set_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT116 VLEX116 CLSR116 STCK116
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_store_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-APD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC116mem_ref_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT117 VLEX117 CLSR117 STCK117
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[226],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for STOREH-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L117storeh_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT118 VLEX118 CLSR118 STCK118
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storeh_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for STOREL-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L118storel_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT119 VLEX119 CLSR119 STCK119
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storel_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for STREAM-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L119stream_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT120 VLEX120 CLSR120 STCK120
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_stream_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L120add_sd(cl_object V1, cl_object V2)
{ VT121 VLEX121 CLSR121 STCK121
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_add_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L121add_pd(cl_object V1, cl_object V2)
{ VT122 VLEX122 CLSR122 STCK122
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_add_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L122sub_sd(cl_object V1, cl_object V2)
{ VT123 VLEX123 CLSR123 STCK123
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sub_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L123sub_pd(cl_object V1, cl_object V2)
{ VT124 VLEX124 CLSR124 STCK124
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sub_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L124mul_sd(cl_object V1, cl_object V2)
{ VT125 VLEX125 CLSR125 STCK125
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_mul_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L125mul_pd(cl_object V1, cl_object V2)
{ VT126 VLEX126 CLSR126 STCK126
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_mul_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L126div_sd(cl_object V1, cl_object V2)
{ VT127 VLEX127 CLSR127 STCK127
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_div_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L127div_pd(cl_object V1, cl_object V2)
{ VT128 VLEX128 CLSR128 STCK128
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_div_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L128min_sd(cl_object V1, cl_object V2)
{ VT129 VLEX129 CLSR129 STCK129
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_min_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L129min_pd(cl_object V1, cl_object V2)
{ VT130 VLEX130 CLSR130 STCK130
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_min_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L130max_sd(cl_object V1, cl_object V2)
{ VT131 VLEX131 CLSR131 STCK131
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_max_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L131max_pd(cl_object V1, cl_object V2)
{ VT132 VLEX132 CLSR132 STCK132
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_max_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-SD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L132sqrt_sd(cl_object V1, cl_object V2)
{ VT133 VLEX133 CLSR133 STCK133
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sqrt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L133sqrt_pd(cl_object V1)
{ VT134 VLEX134 CLSR134 STCK134
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sqrt_pd(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L134and_pd(cl_object V1, cl_object V2)
{ VT135 VLEX135 CLSR135 STCK135
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_and_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L135andnot_pd(cl_object V1, cl_object V2)
{ VT136 VLEX136 CLSR136 STCK136
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_andnot_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L136or_pd(cl_object V1, cl_object V2)
{ VT137 VLEX137 CLSR137 STCK137
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_or_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L137xor_pd(cl_object V1, cl_object V2)
{ VT138 VLEX138 CLSR138 STCK138
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_xor_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L138__sd(cl_object V1, cl_object V2)
{ VT139 VLEX139 CLSR139 STCK139
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpeq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L139__pd(cl_object V1, cl_object V2)
{ VT140 VLEX140 CLSR140 STCK140
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpeq_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L140__sd(cl_object V1, cl_object V2)
{ VT141 VLEX141 CLSR141 STCK141
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmplt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L141__pd(cl_object V1, cl_object V2)
{ VT142 VLEX142 CLSR142 STCK142
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmplt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L142___sd(cl_object V1, cl_object V2)
{ VT143 VLEX143 CLSR143 STCK143
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmple_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L143___pd(cl_object V1, cl_object V2)
{ VT144 VLEX144 CLSR144 STCK144
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmple_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L144__sd(cl_object V1, cl_object V2)
{ VT145 VLEX145 CLSR145 STCK145
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpgt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L145__pd(cl_object V1, cl_object V2)
{ VT146 VLEX146 CLSR146 STCK146
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpgt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L146___sd(cl_object V1, cl_object V2)
{ VT147 VLEX147 CLSR147 STCK147
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpge_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L147___pd(cl_object V1, cl_object V2)
{ VT148 VLEX148 CLSR148 STCK148
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpge_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L148___sd(cl_object V1, cl_object V2)
{ VT149 VLEX149 CLSR149 STCK149
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpneq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L149___pd(cl_object V1, cl_object V2)
{ VT150 VLEX150 CLSR150 STCK150
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpneq_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L150___sd(cl_object V1, cl_object V2)
{ VT151 VLEX151 CLSR151 STCK151
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnlt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L151___pd(cl_object V1, cl_object V2)
{ VT152 VLEX152 CLSR152 STCK152
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnlt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L152____sd(cl_object V1, cl_object V2)
{ VT153 VLEX153 CLSR153 STCK153
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnle_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L153____pd(cl_object V1, cl_object V2)
{ VT154 VLEX154 CLSR154 STCK154
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnle_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L154___sd(cl_object V1, cl_object V2)
{ VT155 VLEX155 CLSR155 STCK155
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpngt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L155___pd(cl_object V1, cl_object V2)
{ VT156 VLEX156 CLSR156 STCK156
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpngt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L156____sd(cl_object V1, cl_object V2)
{ VT157 VLEX157 CLSR157 STCK157
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnge_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L157____pd(cl_object V1, cl_object V2)
{ VT158 VLEX158 CLSR158 STCK158
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnge_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-SD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L158cmpord_sd(cl_object V1, cl_object V2)
{ VT159 VLEX159 CLSR159 STCK159
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpord_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L159cmpord_pd(cl_object V1, cl_object V2)
{ VT160 VLEX160 CLSR160 STCK160
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpord_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-SD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L160cmpunord_sd(cl_object V1, cl_object V2)
{ VT161 VLEX161 CLSR161 STCK161
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpunord_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L161cmpunord_pd(cl_object V1, cl_object V2)
{ VT162 VLEX162 CLSR162 STCK162
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpunord_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L162__sd_(cl_object V1, cl_object V2)
{ VT163 VLEX163 CLSR163 STCK163
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comieq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L163__sdu_(cl_object V1, cl_object V2)
{ VT164 VLEX164 CLSR164 STCK164
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomieq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L164__sd_(cl_object V1, cl_object V2)
{ VT165 VLEX165 CLSR165 STCK165
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comilt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L165__sdu_(cl_object V1, cl_object V2)
{ VT166 VLEX166 CLSR166 STCK166
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomilt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L166___sd_(cl_object V1, cl_object V2)
{ VT167 VLEX167 CLSR167 STCK167
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comile_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L167___sdu_(cl_object V1, cl_object V2)
{ VT168 VLEX168 CLSR168 STCK168
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomile_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L168__sd_(cl_object V1, cl_object V2)
{ VT169 VLEX169 CLSR169 STCK169
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comigt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L169__sdu_(cl_object V1, cl_object V2)
{ VT170 VLEX170 CLSR170 STCK170
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomigt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L170___sd_(cl_object V1, cl_object V2)
{ VT171 VLEX171 CLSR171 STCK171
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comige_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L171___sdu_(cl_object V1, cl_object V2)
{ VT172 VLEX172 CLSR172 STCK172
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomige_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L172___sd_(cl_object V1, cl_object V2)
{ VT173 VLEX173 CLSR173 STCK173
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comineq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L173___sdu_(cl_object V1, cl_object V2)
{ VT174 VLEX174 CLSR174 STCK174
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomineq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L174unpackhi_pd(cl_object V1, cl_object V2)
{ VT175 VLEX175 CLSR175 STCK175
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_unpackhi_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L175unpacklo_pd(cl_object V1, cl_object V2)
{ VT176 VLEX176 CLSR176 STCK176
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_unpacklo_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-SD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L176move_sd(cl_object V1, cl_object V2)
{ VT177 VLEX177 CLSR177 STCK177
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_move_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEMASK-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L177movemask_pd(cl_object V1)
{ VT178 VLEX178 CLSR178 STCK178
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_movemask_pd(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC178shuffle_pd(cl_object V1, cl_object V2)
{ VT179 VLEX179 CLSR179 STCK179
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  ARG2            */
	cl_object V7;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==ECL_NIL)){
	goto L21;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	V7= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L29;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V8;                            /*  OLDV            */
	V8= V6;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V8,V2,V7) /*  EXPAND-CONSTANT */;
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L35;
	V6= cl_env_copy->values[0];
	if (V9--<=0) goto L36;
	V7= cl_env_copy->values[1];
	goto L37;}
L35:;
	V6= ECL_NIL;
L36:;
	V7= ECL_NIL;
L37:;
	{cl_fixnum V9;
	V9= 0;
	if(!(ECL_FIXNUMP(V6))){
	goto L43;}
	V9= ecl_fixnum(V6);
	if(!((V9)<=(3))){
	goto L48;}
	if((V9)>=(0)){
	goto L39;}
	goto L40;
L48:;
	goto L40;
L43:;
	goto L40;
	}
L40:;
	if(ecl_eql(V8,V6)){
	goto L52;}
	T0= V6;
	goto L50;
L52:;
	T0= ECL_NIL;
	goto L50;
L50:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[350],V8,T0,VV[351]) /*  CMPERR */;
	goto L31;
L39:;
	goto L31;
	}
L31:;
	if((V7)==ECL_NIL){
	goto L55;}
	value0=cl_list(4,VV[350],V4,V5,V6)        /*  LIST            */;
	return value0;
L55:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-PS-TO-PD                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L179convert_ps_to_pd(cl_object V1)
{ VT180 VLEX180 CLSR180 STCK180
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtps_pd(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PD-TO-PS                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L180convert_pd_to_ps(cl_object V1)
{ VT181 VLEX181 CLSR181 STCK181
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtpd_ps(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SD                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L181convert_ss_to_sd(cl_object V1, cl_object V2)
{ VT182 VLEX182 CLSR182 STCK182
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtss_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SS                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L182convert_sd_to_ss(cl_object V1, cl_object V2)
{ VT183 VLEX183 CLSR183 STCK183
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsd_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI32-TO-PD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L183convert_pi32_to_pd(cl_object V1)
{ VT184 VLEX184 CLSR184 STCK184
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtepi32_pd(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PD-TO-PI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L184convert_pd_to_pi32(cl_object V1)
{ VT185 VLEX185 CLSR185 STCK185
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtpd_epi32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-PD-TO-PI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L185truncate_pd_to_pi32(cl_object V1)
{ VT186 VLEX186 CLSR186 STCK186
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvttpd_epi32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI32-TO-SD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L186convert_si32_to_sd(cl_object V1, cl_object V2)
{ VT187 VLEX187 CLSR187 STCK187
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtsi32_sd(ecl_unbox_double_sse_pack(V1),ecl_to_fixnum(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L187convert_sd_to_si32(cl_object V1)
{ VT188 VLEX188 CLSR188 STCK188
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_cvtsd_si32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SD-TO-SI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L188truncate_sd_to_si32(cl_object V1)
{ VT189 VLEX189 CLSR189 STCK189
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_cvttsd_si32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-SD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L189convert_si64_to_sd(cl_object V1, cl_object V2)
{ VT190 VLEX190 CLSR190 STCK190
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtsi64_sd(ecl_unbox_double_sse_pack(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L190convert_sd_to_si64(cl_object V1)
{ VT191 VLEX191 CLSR191 STCK191
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtsd_si64(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SD-TO-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L191truncate_sd_to_si64(cl_object V1)
{ VT192 VLEX192 CLSR192 STCK192
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvttsd_si64(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L192set1_pi8(cl_object V1)
{ VT193 VLEX193 CLSR193 STCK193
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi8(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L193set1_pi16(cl_object V1)
{ VT194 VLEX194 CLSR194 STCK194
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi16(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L194set1_pi32(cl_object V1)
{ VT195 VLEX195 CLSR195 STCK195
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L195set1_pi64(cl_object V1)
{ VT196 VLEX196 CLSR196 STCK196
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PU32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L196set1_pu32(cl_object V1)
{ VT197 VLEX197 CLSR197 STCK197
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PU64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L197set1_pu64(cl_object V1)
{ VT198 VLEX198 CLSR198 STCK198
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L198set_pi8(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12, cl_object V13, cl_object V14, cl_object V15, cl_object V16)
{ VT199 VLEX199 CLSR199 STCK199
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi8(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8),ecl_to_fixnum(V9),ecl_to_fixnum(V10),ecl_to_fixnum(V11),ecl_to_fixnum(V12),ecl_to_fixnum(V13),ecl_to_fixnum(V14),ecl_to_fixnum(V15),ecl_to_fixnum(V16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L199set_pi16(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT200 VLEX200 CLSR200 STCK200
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi16(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L200set_pi32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT201 VLEX201 CLSR201 STCK201
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L201set_pi64(cl_object V1, cl_object V2)
{ VT202 VLEX202 CLSR202 STCK202
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PU32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L202set_pu32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT203 VLEX203 CLSR203 STCK203
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PU64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L203set_pu64(cl_object V1, cl_object V2)
{ VT204 VLEX204 CLSR204 STCK204
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(V1),ecl_to_uint64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L204setr_pi8(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12, cl_object V13, cl_object V14, cl_object V15, cl_object V16)
{ VT205 VLEX205 CLSR205 STCK205
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi8(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8),ecl_to_fixnum(V9),ecl_to_fixnum(V10),ecl_to_fixnum(V11),ecl_to_fixnum(V12),ecl_to_fixnum(V13),ecl_to_fixnum(V14),ecl_to_fixnum(V15),ecl_to_fixnum(V16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L205setr_pi16(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT206 VLEX206 CLSR206 STCK206
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi16(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L206setr_pi32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT207 VLEX207 CLSR207 STCK207
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L207setr_pi64(cl_object V1, cl_object V2)
{ VT208 VLEX208 CLSR208 STCK208
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(V2),ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PU32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L208setr_pu32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT209 VLEX209 CLSR209 STCK209
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PU64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L209setr_pu64(cl_object V1, cl_object V2)
{ VT210 VLEX210 CLSR210 STCK210
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(V2),ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L210setzero_pi()
{ VT211 VLEX211 CLSR211 STCK211
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setzero_si128()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L211mem_ref_pi(cl_narg narg, cl_object V1, ...)
{ VT212 VLEX212 CLSR212 STCK212
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-API                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L212mem_ref_api(cl_narg narg, cl_object V1, ...)
{ VT213 VLEX213 CLSR213 STCK213
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_load_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SI64                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L213mem_ref_si64(cl_narg narg, cl_object V1, ...)
{ VT214 VLEX214 CLSR214 STCK214
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_make_fixnum(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L214mem_set_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT215 VLEX215 CLSR215 STCK215
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_storeu_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PI                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC215mem_ref_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT216 VLEX216 CLSR216 STCK216
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[422],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-API                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L216mem_set_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT217 VLEX217 CLSR217 STCK217
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_store_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-API                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC217mem_ref_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT218 VLEX218 CLSR218 STCK218
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[424],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-SI64                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L218mem_set_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT219 VLEX219 CLSR219 STCK219
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_storel_epi64((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SI64                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC219mem_ref_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT220 VLEX220 CLSR220 STCK220
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[426],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for STREAM-PI                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L220stream_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT221 VLEX221 CLSR221 STCK221
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_make_fixnum(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_stream_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MASKMOVEU-PI                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L221maskmoveu_pi(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT222 VLEX222 CLSR222 STCK222
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= ecl_make_fixnum(0);
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_maskmoveu_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2),(char*)(((char*)ecl_to_pointer(V3)) + ecl_to_int(V4))),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L222add_pi8(cl_object V1, cl_object V2)
{ VT223 VLEX223 CLSR223 STCK223
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L223add_pi16(cl_object V1, cl_object V2)
{ VT224 VLEX224 CLSR224 STCK224
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L224add_pi32(cl_object V1, cl_object V2)
{ VT225 VLEX225 CLSR225 STCK225
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L225add_pi64(cl_object V1, cl_object V2)
{ VT226 VLEX226 CLSR226 STCK226
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L226adds_pi8(cl_object V1, cl_object V2)
{ VT227 VLEX227 CLSR227 STCK227
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L227adds_pi16(cl_object V1, cl_object V2)
{ VT228 VLEX228 CLSR228 STCK228
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PU8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L228adds_pu8(cl_object V1, cl_object V2)
{ VT229 VLEX229 CLSR229 STCK229
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PU16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L229adds_pu16(cl_object V1, cl_object V2)
{ VT230 VLEX230 CLSR230 STCK230
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AVG-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L230avg_pu8(cl_object V1, cl_object V2)
{ VT231 VLEX231 CLSR231 STCK231
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_avg_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AVG-PU16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L231avg_pu16(cl_object V1, cl_object V2)
{ VT232 VLEX232 CLSR232 STCK232
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_avg_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MADD-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L232madd_pi16(cl_object V1, cl_object V2)
{ VT233 VLEX233 CLSR233 STCK233
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_madd_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L233max_pu8(cl_object V1, cl_object V2)
{ VT234 VLEX234 CLSR234 STCK234
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_max_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L234max_pi16(cl_object V1, cl_object V2)
{ VT235 VLEX235 CLSR235 STCK235
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_max_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L235min_pu8(cl_object V1, cl_object V2)
{ VT236 VLEX236 CLSR236 STCK236
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_min_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L236min_pi16(cl_object V1, cl_object V2)
{ VT237 VLEX237 CLSR237 STCK237
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_min_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULHI-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L237mulhi_pi16(cl_object V1, cl_object V2)
{ VT238 VLEX238 CLSR238 STCK238
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mulhi_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULHI-PU16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L238mulhi_pu16(cl_object V1, cl_object V2)
{ VT239 VLEX239 CLSR239 STCK239
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mulhi_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULLO-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L239mullo_pi16(cl_object V1, cl_object V2)
{ VT240 VLEX240 CLSR240 STCK240
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mullo_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PU32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L240mul_pu32(cl_object V1, cl_object V2)
{ VT241 VLEX241 CLSR241 STCK241
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mul_epu32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SAD-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L241sad_pu8(cl_object V1, cl_object V2)
{ VT242 VLEX242 CLSR242 STCK242
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sad_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L242sub_pi8(cl_object V1, cl_object V2)
{ VT243 VLEX243 CLSR243 STCK243
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L243sub_pi16(cl_object V1, cl_object V2)
{ VT244 VLEX244 CLSR244 STCK244
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L244sub_pi32(cl_object V1, cl_object V2)
{ VT245 VLEX245 CLSR245 STCK245
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L245sub_pi64(cl_object V1, cl_object V2)
{ VT246 VLEX246 CLSR246 STCK246
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L246subs_pi8(cl_object V1, cl_object V2)
{ VT247 VLEX247 CLSR247 STCK247
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L247subs_pi16(cl_object V1, cl_object V2)
{ VT248 VLEX248 CLSR248 STCK248
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PU8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L248subs_pu8(cl_object V1, cl_object V2)
{ VT249 VLEX249 CLSR249 STCK249
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PU16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L249subs_pu16(cl_object V1, cl_object V2)
{ VT250 VLEX250 CLSR250 STCK250
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L250and_pi(cl_object V1, cl_object V2)
{ VT251 VLEX251 CLSR251 STCK251
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_and_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PI                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L251andnot_pi(cl_object V1, cl_object V2)
{ VT252 VLEX252 CLSR252 STCK252
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_andnot_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PI                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L252or_pi(cl_object V1, cl_object V2)
{ VT253 VLEX253 CLSR253 STCK253
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_or_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L253xor_pi(cl_object V1, cl_object V2)
{ VT254 VLEX254 CLSR254 STCK254
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_xor_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SLLI-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC254slli_pi(cl_object V1, cl_object V2)
{ VT255 VLEX255 CLSR255 STCK255
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L21;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= ECL_NIL;
L28:;
	V6= ECL_NIL;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(ECL_FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fixnum(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= ECL_NIL;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[496],V7,T0,VV[181]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==ECL_NIL){
	goto L47;}
	value0=cl_list(3,VV[496],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SLLI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L255slli_pi16(cl_object V1, cl_object V2)
{ VT256 VLEX256 CLSR256 STCK256
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLLI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L256slli_pi32(cl_object V1, cl_object V2)
{ VT257 VLEX257 CLSR257 STCK257
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLLI-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L257slli_pi64(cl_object V1, cl_object V2)
{ VT258 VLEX258 CLSR258 STCK258
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L258sll_pi16(cl_object V1, cl_object V2)
{ VT259 VLEX259 CLSR259 STCK259
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L259sll_pi32(cl_object V1, cl_object V2)
{ VT260 VLEX260 CLSR260 STCK260
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L260sll_pi64(cl_object V1, cl_object V2)
{ VT261 VLEX261 CLSR261 STCK261
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRAI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L261srai_pi16(cl_object V1, cl_object V2)
{ VT262 VLEX262 CLSR262 STCK262
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRAI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L262srai_pi32(cl_object V1, cl_object V2)
{ VT263 VLEX263 CLSR263 STCK263
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRA-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L263sra_pi16(cl_object V1, cl_object V2)
{ VT264 VLEX264 CLSR264 STCK264
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRA-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L264sra_pi32(cl_object V1, cl_object V2)
{ VT265 VLEX265 CLSR265 STCK265
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SRLI-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC265srli_pi(cl_object V1, cl_object V2)
{ VT266 VLEX266 CLSR266 STCK266
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L21;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= ECL_NIL;
L28:;
	V6= ECL_NIL;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(ECL_FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fixnum(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= ECL_NIL;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[517],V7,T0,VV[181]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==ECL_NIL){
	goto L47;}
	value0=cl_list(3,VV[517],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SRLI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L266srli_pi16(cl_object V1, cl_object V2)
{ VT267 VLEX267 CLSR267 STCK267
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRLI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L267srli_pi32(cl_object V1, cl_object V2)
{ VT268 VLEX268 CLSR268 STCK268
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRLI-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L268srli_pi64(cl_object V1, cl_object V2)
{ VT269 VLEX269 CLSR269 STCK269
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L269srl_pi16(cl_object V1, cl_object V2)
{ VT270 VLEX270 CLSR270 STCK270
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L270srl_pi32(cl_object V1, cl_object V2)
{ VT271 VLEX271 CLSR271 STCK271
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L271srl_pi64(cl_object V1, cl_object V2)
{ VT272 VLEX272 CLSR272 STCK272
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L272__pi8(cl_object V1, cl_object V2)
{ VT273 VLEX273 CLSR273 STCK273
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L273__pi16(cl_object V1, cl_object V2)
{ VT274 VLEX274 CLSR274 STCK274
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L274__pi32(cl_object V1, cl_object V2)
{ VT275 VLEX275 CLSR275 STCK275
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L275__pi8(cl_object V1, cl_object V2)
{ VT276 VLEX276 CLSR276 STCK276
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L276__pi16(cl_object V1, cl_object V2)
{ VT277 VLEX277 CLSR277 STCK277
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L277__pi32(cl_object V1, cl_object V2)
{ VT278 VLEX278 CLSR278 STCK278
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L278__pi8(cl_object V1, cl_object V2)
{ VT279 VLEX279 CLSR279 STCK279
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L279__pi16(cl_object V1, cl_object V2)
{ VT280 VLEX280 CLSR280 STCK280
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L280__pi32(cl_object V1, cl_object V2)
{ VT281 VLEX281 CLSR281 STCK281
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKS-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L281packs_pi16(cl_object V1, cl_object V2)
{ VT282 VLEX282 CLSR282 STCK282
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packs_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKS-PI32                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L282packs_pi32(cl_object V1, cl_object V2)
{ VT283 VLEX283 CLSR283 STCK283
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packs_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKUS-PI16                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L283packus_pi16(cl_object V1, cl_object V2)
{ VT284 VLEX284 CLSR284 STCK284
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packus_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function EXTRACT-PI16                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC284extract_pi16(cl_object V1, cl_object V2)
{ VT285 VLEX285 CLSR285 STCK285
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L21;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= ECL_NIL;
L28:;
	V6= ECL_NIL;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(ECL_FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fixnum(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= ECL_NIL;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[554],V7,T0,VV[181]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==ECL_NIL){
	goto L47;}
	value0=cl_list(3,VV[554],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function INSERT-PI16                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC285insert_pi16(cl_object V1, cl_object V2)
{ VT286 VLEX286 CLSR286 STCK286
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  ARG2            */
	cl_object V7;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==ECL_NIL)){
	goto L21;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	V7= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L29;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V8;                            /*  OLDV            */
	V8= V6;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V8,V2,V7) /*  EXPAND-CONSTANT */;
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L35;
	V6= cl_env_copy->values[0];
	if (V9--<=0) goto L36;
	V7= cl_env_copy->values[1];
	goto L37;}
L35:;
	V6= ECL_NIL;
L36:;
	V7= ECL_NIL;
L37:;
	{cl_fixnum V9;
	V9= 0;
	if(!(ECL_FIXNUMP(V6))){
	goto L43;}
	V9= ecl_fixnum(V6);
	if(!((V9)<=(255))){
	goto L48;}
	if((V9)>=(0)){
	goto L39;}
	goto L40;
L48:;
	goto L40;
L43:;
	goto L40;
	}
L40:;
	if(ecl_eql(V8,V6)){
	goto L52;}
	T0= V6;
	goto L50;
L52:;
	T0= ECL_NIL;
	goto L50;
L50:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[555],V8,T0,VV[181]) /*  CMPERR */;
	goto L31;
L39:;
	goto L31;
	}
L31:;
	if((V7)==ECL_NIL){
	goto L55;}
	value0=cl_list(4,VV[555],V4,V5,V6)        /*  LIST            */;
	return value0;
L55:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MOVEMASK-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L286movemask_pi8(cl_object V1)
{ VT287 VLEX287 CLSR287 STCK287
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_movemask_epi8(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L287unpackhi_pi8(cl_object V1, cl_object V2)
{ VT288 VLEX288 CLSR288 STCK288
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI16                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L288unpackhi_pi16(cl_object V1, cl_object V2)
{ VT289 VLEX289 CLSR289 STCK289
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI32                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L289unpackhi_pi32(cl_object V1, cl_object V2)
{ VT290 VLEX290 CLSR290 STCK290
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI64                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L290unpackhi_pi64(cl_object V1, cl_object V2)
{ VT291 VLEX291 CLSR291 STCK291
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L291unpacklo_pi8(cl_object V1, cl_object V2)
{ VT292 VLEX292 CLSR292 STCK292
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI16                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L292unpacklo_pi16(cl_object V1, cl_object V2)
{ VT293 VLEX293 CLSR293 STCK293
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI32                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L293unpacklo_pi32(cl_object V1, cl_object V2)
{ VT294 VLEX294 CLSR294 STCK294
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI64                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L294unpacklo_pi64(cl_object V1, cl_object V2)
{ VT295 VLEX295 CLSR295 STCK295
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L295move_pi64(cl_object V1)
{ VT296 VLEX296 CLSR296 STCK296
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_move_epi64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PI32                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC296shuffle_pi32(cl_object V1, cl_object V2)
{ VT297 VLEX297 CLSR297 STCK297
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L21;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= ECL_NIL;
L28:;
	V6= ECL_NIL;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(ECL_FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fixnum(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= ECL_NIL;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[576],V7,T0,VV[181]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==ECL_NIL){
	goto L47;}
	value0=cl_list(3,VV[576],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function SHUFFLELO-PI16                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC297shufflelo_pi16(cl_object V1, cl_object V2)
{ VT298 VLEX298 CLSR298 STCK298
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L21;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= ECL_NIL;
L28:;
	V6= ECL_NIL;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(ECL_FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fixnum(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= ECL_NIL;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[577],V7,T0,VV[181]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==ECL_NIL){
	goto L47;}
	value0=cl_list(3,VV[577],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function SHUFFLEHI-PI16                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC298shufflehi_pi16(cl_object V1, cl_object V2)
{ VT299 VLEX299 CLSR299 STCK299
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ARG0            */
	cl_object V5;                             /*  ARG1            */
	cl_object V6;                             /*  CHGP            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= ECL_NIL;
	if((V3)==ECL_NIL){
	goto L21;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[683])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L27;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L28;
	V6= cl_env_copy->values[1];
	goto L29;}
L27:;
	V5= ECL_NIL;
L28:;
	V6= ECL_NIL;
L29:;
	{cl_fixnum V8;
	V8= 0;
	if(!(ECL_FIXNUMP(V5))){
	goto L35;}
	V8= ecl_fixnum(V5);
	if(!((V8)<=(255))){
	goto L40;}
	if((V8)>=(0)){
	goto L31;}
	goto L32;
L40:;
	goto L32;
L35:;
	goto L32;
	}
L32:;
	if(ecl_eql(V7,V5)){
	goto L44;}
	T0= V5;
	goto L42;
L44:;
	T0= ECL_NIL;
	goto L42;
L42:;
	ecl_function_dispatch(cl_env_copy,VV[684])(5,_ecl_static_15,VV[578],V7,T0,VV[181]) /*  CMPERR */;
	goto L23;
L31:;
	goto L23;
	}
L23:;
	if((V6)==ECL_NIL){
	goto L47;}
	value0=cl_list(3,VV[578],V4,V5)           /*  LIST            */;
	return value0;
L47:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-SI32-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L299convert_si32_to_pi(cl_object V1)
{ VT300 VLEX300 CLSR300 STCK300
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SU32-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L300convert_su32_to_pi(cl_object V1)
{ VT301 VLEX301 CLSR301 STCK301
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L301convert_si64_to_pi(cl_object V1)
{ VT302 VLEX302 CLSR302 STCK302
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SU64-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L302convert_su64_to_pi(cl_object V1)
{ VT303 VLEX303 CLSR303 STCK303
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L303convert_pi_to_si32(cl_object V1)
{ VT304 VLEX304 CLSR304 STCK304
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SU32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L304convert_pi_to_su32(cl_object V1)
{ VT305 VLEX305 CLSR305 STCK305
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_fixnum(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L305convert_pi_to_si64(cl_object V1)
{ VT306 VLEX306 CLSR306 STCK306
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SU64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L306convert_pi_to_su64(cl_object V1)
{ VT307 VLEX307 CLSR307 STCK307
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_uint64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "ext/sse-intrinsics.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecltMB6TNSZ7DJr9_C9iCkY01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-INTRINSICS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecltMB6TNSZ7DJr9_C9iCkY01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(_ecl_static_0)          /*  SELECT-PACKAGE  */;
	cl_export(1,VV[0])                        /*  EXPORT          */;
	si_putprop(VV[0],_ecl_static_1,VV[1])     /*  PUTPROP         */;
	si_putprop(VV[0],_ecl_static_2,VV[2])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[0]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[595]);                   /*  CPU-PREFETCH-T0 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[0],VV[4],VVtemp[1],ECL_SYM("OBJECT",1279),VVtemp[2],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[0],VV[4],VVtemp[3],ECL_SYM("OBJECT",1279),VVtemp[4]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[0],VV[4],VVtemp[5],ECL_SYM("OBJECT",1279),VVtemp[6]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[0],VV[6],VVtemp[7],ECL_SYM("OBJECT",1279),VVtemp[8]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[0],VV[6],VVtemp[9],ECL_SYM("OBJECT",1279),VVtemp[10]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[0],VV[6],VVtemp[11],ECL_SYM("OBJECT",1279),VVtemp[12]) /*  DEF-INLINE */;
	cl_export(1,VV[7])                        /*  EXPORT          */;
	si_putprop(VV[7],_ecl_static_1,VV[1])     /*  PUTPROP         */;
	si_putprop(VV[7],_ecl_static_3,VV[2])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[13]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[597]);                   /*  CPU-PREFETCH-T1 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[7],VV[4],VVtemp[1],ECL_SYM("OBJECT",1279),VVtemp[14],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[7],VV[4],VVtemp[3],ECL_SYM("OBJECT",1279),VVtemp[15]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[7],VV[4],VVtemp[5],ECL_SYM("OBJECT",1279),VVtemp[16]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[7],VV[6],VVtemp[7],ECL_SYM("OBJECT",1279),VVtemp[17]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[7],VV[6],VVtemp[9],ECL_SYM("OBJECT",1279),VVtemp[18]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[7],VV[6],VVtemp[11],ECL_SYM("OBJECT",1279),VVtemp[19]) /*  DEF-INLINE */;
	cl_export(1,VV[9])                        /*  EXPORT          */;
	si_putprop(VV[9],_ecl_static_1,VV[1])     /*  PUTPROP         */;
	si_putprop(VV[9],_ecl_static_4,VV[2])     /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[20]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[598]);                   /*  CPU-PREFETCH-T2 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[9],VV[4],VVtemp[1],ECL_SYM("OBJECT",1279),VVtemp[21],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[9],VV[4],VVtemp[3],ECL_SYM("OBJECT",1279),VVtemp[22]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[9],VV[4],VVtemp[5],ECL_SYM("OBJECT",1279),VVtemp[23]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[9],VV[6],VVtemp[7],ECL_SYM("OBJECT",1279),VVtemp[24]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[9],VV[6],VVtemp[9],ECL_SYM("OBJECT",1279),VVtemp[25]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[9],VV[6],VVtemp[11],ECL_SYM("OBJECT",1279),VVtemp[26]) /*  DEF-INLINE */;
	cl_export(1,VV[11])                       /*  EXPORT          */;
	si_putprop(VV[11],_ecl_static_1,VV[1])    /*  PUTPROP         */;
	si_putprop(VV[11],_ecl_static_5,VV[2])    /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[27]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[599]);                   /*  CPU-PREFETCH-NTA */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[11],VV[4],VVtemp[1],ECL_SYM("OBJECT",1279),VVtemp[28],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[11],VV[4],VVtemp[3],ECL_SYM("OBJECT",1279),VVtemp[29]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[11],VV[4],VVtemp[5],ECL_SYM("OBJECT",1279),VVtemp[30]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[11],VV[6],VVtemp[7],ECL_SYM("OBJECT",1279),VVtemp[31]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[11],VV[6],VVtemp[9],ECL_SYM("OBJECT",1279),VVtemp[32]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[11],VV[6],VVtemp[11],ECL_SYM("OBJECT",1279),VVtemp[33]) /*  DEF-INLINE */;
	cl_export(1,VV[13])                       /*  EXPORT          */;
	si_putprop(VV[13],_ecl_static_6,VV[1])    /*  PUTPROP         */;
	si_putprop(VV[13],_ecl_static_7,VV[2])    /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[34]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[600]);                   /*  CPU-CLFLUSH     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[13],VV[4],VVtemp[1],ECL_SYM("OBJECT",1279),VVtemp[35],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[13],VV[4],VVtemp[3],ECL_SYM("OBJECT",1279),VVtemp[36]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[13],VV[4],VVtemp[5],ECL_SYM("OBJECT",1279),VVtemp[37]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[13],VV[6],VVtemp[7],ECL_SYM("OBJECT",1279),VVtemp[38]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[13],VV[6],VVtemp[9],ECL_SYM("OBJECT",1279),VVtemp[39]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[13],VV[6],VVtemp[11],ECL_SYM("OBJECT",1279),VVtemp[40]) /*  DEF-INLINE */;
	cl_export(1,VV[15])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[41]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[601]);                   /*  CPU-MXCSR       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[15],VV[4],ECL_NIL,ECL_SYM("FIXNUM",1368),VVtemp[42],VV[5],ECL_T) /*  DEF-INLINE */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[43]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[602]);                   /*  %SET-CPU-MXCSR  */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[17],VV[4],VVtemp[44],ECL_SYM("FIXNUM",1368),VVtemp[45],VV[5],ECL_T) /*  DEF-INLINE */;
	si_do_defsetf(VV[15],VV[17])              /*  DO-DEFSETF      */;
	cl_export(1,VV[18])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[46]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[603]);                   /*  CPU-LOAD-FENCE  */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[18],VV[4],ECL_NIL,ECL_SYM("OBJECT",1279),VVtemp[47],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[20])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[48]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[604]);                   /*  CPU-STORE-FENCE */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[20],VV[4],ECL_NIL,ECL_SYM("OBJECT",1279),VVtemp[49],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[22])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[50]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[605]);                   /*  CPU-MEMORY-FENCE */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[22],VV[4],ECL_NIL,ECL_SYM("OBJECT",1279),VVtemp[51],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[24])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[52]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[606]);                   /*  CPU-PAUSE       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[24],VV[4],ECL_NIL,ECL_SYM("OBJECT",1279),VVtemp[53],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[26])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[54]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[607]);                   /*  SET-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[26],VV[4],VVtemp[55],VV[28],VVtemp[56],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[29])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[57]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[608]);                   /*  SET1-PS         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[29],VV[4],VVtemp[55],VV[28],VVtemp[58],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[31])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[59]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[609]);                   /*  SET-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[31],VV[4],VVtemp[60],VV[28],VVtemp[61],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[33])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[62]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[610]);                   /*  SETR-PS         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[33],VV[4],VVtemp[60],VV[28],VVtemp[63],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[35])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[64]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[611]);                   /*  SETZERO-PS      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[35],VV[4],ECL_NIL,VV[28],VVtemp[65],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[37])                       /*  EXPORT          */;
	si_putprop(VV[37],_ecl_static_8,VV[1])    /*  PUTPROP         */;
	si_putprop(VV[37],_ecl_static_7,VV[2])    /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[66]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[612]);                   /*  MEM-REF-SS      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[37],VV[4],VVtemp[1],VV[28],VVtemp[67],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[37],VV[4],VVtemp[3],VV[28],VVtemp[68]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[37],VV[4],VVtemp[5],VV[28],VVtemp[69]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[37],VV[6],VVtemp[7],VV[28],VVtemp[70]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[37],VV[6],VVtemp[9],VV[28],VVtemp[71]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[37],VV[6],VVtemp[11],VV[28],VVtemp[72]) /*  DEF-INLINE */;
	cl_export(1,VV[39])                       /*  EXPORT          */;
	si_putprop(VV[39],_ecl_static_9,VV[1])    /*  PUTPROP         */;
	si_putprop(VV[39],_ecl_static_7,VV[2])    /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[73]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[613]);                   /*  MEM-REF-PS      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[39],VV[4],VVtemp[1],VV[28],VVtemp[74],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[39],VV[4],VVtemp[3],VV[28],VVtemp[75]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[39],VV[4],VVtemp[5],VV[28],VVtemp[76]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[39],VV[6],VVtemp[7],VV[28],VVtemp[77]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[39],VV[6],VVtemp[9],VV[28],VVtemp[78]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[39],VV[6],VVtemp[11],VV[28],VVtemp[79]) /*  DEF-INLINE */;
	cl_export(1,VV[41])                       /*  EXPORT          */;
	si_putprop(VV[41],_ecl_static_10,VV[1])   /*  PUTPROP         */;
	si_putprop(VV[41],_ecl_static_7,VV[2])    /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[80]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[614]);                   /*  MEM-REF-APS     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[41],VV[4],VVtemp[1],VV[28],VVtemp[81],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[41],VV[4],VVtemp[3],VV[28],VVtemp[82]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[41],VV[4],VVtemp[5],VV[28],VVtemp[83]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[41],VV[6],VVtemp[7],VV[28],VVtemp[84]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[41],VV[6],VVtemp[9],VV[28],VVtemp[85]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[41],VV[6],VVtemp[11],VV[28],VVtemp[86]) /*  DEF-INLINE */;
	si_putprop(VV[43],_ecl_static_11,VV[1])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[87]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[615]);                   /*  MEM-SET-SS      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[43],VV[4],VVtemp[88],VV[28],VVtemp[89],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[43],VV[4],VVtemp[90],VV[28],VVtemp[91]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[43],VV[4],VVtemp[92],VV[28],VVtemp[93]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[43],VV[6],VVtemp[94],VV[28],VVtemp[95]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[43],VV[6],VVtemp[96],VV[28],VVtemp[97]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[43],VV[6],VVtemp[98],VV[28],VVtemp[99]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC21mem_ref_ss,ECL_NIL,Cblock);
	si_do_defsetf(VV[37],T0)                  /*  DO-DEFSETF      */;
	si_putprop(VV[45],_ecl_static_12,VV[1])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[100]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[616]);                   /*  MEM-SET-PS      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[45],VV[4],VVtemp[88],VV[28],VVtemp[101],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[45],VV[4],VVtemp[90],VV[28],VVtemp[102]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[45],VV[4],VVtemp[92],VV[28],VVtemp[103]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[45],VV[6],VVtemp[94],VV[28],VVtemp[104]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[45],VV[6],VVtemp[96],VV[28],VVtemp[105]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[45],VV[6],VVtemp[98],VV[28],VVtemp[106]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC23mem_ref_ps,ECL_NIL,Cblock);
	si_do_defsetf(VV[39],T0)                  /*  DO-DEFSETF      */;
	si_putprop(VV[47],_ecl_static_13,VV[1])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[107]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[617]);                   /*  MEM-SET-APS     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[47],VV[4],VVtemp[88],VV[28],VVtemp[108],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[47],VV[4],VVtemp[90],VV[28],VVtemp[109]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[47],VV[4],VVtemp[92],VV[28],VVtemp[110]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[47],VV[6],VVtemp[94],VV[28],VVtemp[111]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[47],VV[6],VVtemp[96],VV[28],VVtemp[112]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[47],VV[6],VVtemp[98],VV[28],VVtemp[113]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC25mem_ref_aps,ECL_NIL,Cblock);
	si_do_defsetf(VV[41],T0)                  /*  DO-DEFSETF      */;
	cl_export(1,VV[49])                       /*  EXPORT          */;
	si_putprop(VV[49],_ecl_static_14,VV[1])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[114]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[618]);                   /*  STREAM-PS       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[49],VV[4],VVtemp[88],VV[28],VVtemp[115],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[49],VV[4],VVtemp[90],VV[28],VVtemp[116]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[49],VV[4],VVtemp[92],VV[28],VVtemp[117]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[49],VV[6],VVtemp[94],VV[28],VVtemp[118]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[49],VV[6],VVtemp[96],VV[28],VVtemp[119]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[49],VV[6],VVtemp[98],VV[28],VVtemp[120]) /*  DEF-INLINE */;
	cl_export(1,VV[51])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[121]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[619]);                   /*  ADD-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[51],VV[4],VVtemp[122],VV[28],VVtemp[123],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[53])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[124]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[620]);                   /*  ADD-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[53],VV[4],VVtemp[122],VV[28],VVtemp[125],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[55])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[126]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[621]);                   /*  SUB-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[55],VV[4],VVtemp[122],VV[28],VVtemp[127],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[57])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[128]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[622]);                   /*  SUB-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[57],VV[4],VVtemp[122],VV[28],VVtemp[129],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[59])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[130]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[623]);                   /*  MUL-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[59],VV[4],VVtemp[122],VV[28],VVtemp[131],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[61])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[132]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[624]);                   /*  MUL-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[61],VV[4],VVtemp[122],VV[28],VVtemp[133],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[63])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[134]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[625]);                   /*  DIV-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[63],VV[4],VVtemp[122],VV[28],VVtemp[135],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[65])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[136]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[626]);                   /*  DIV-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[65],VV[4],VVtemp[122],VV[28],VVtemp[137],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[67])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[138]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[627]);                   /*  MIN-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[67],VV[4],VVtemp[122],VV[28],VVtemp[139],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[69])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[140]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[628]);                   /*  MIN-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[69],VV[4],VVtemp[122],VV[28],VVtemp[141],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[71])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[142]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[629]);                   /*  MAX-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[71],VV[4],VVtemp[122],VV[28],VVtemp[143],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[73])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[144]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[630]);                   /*  MAX-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[73],VV[4],VVtemp[122],VV[28],VVtemp[145],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[75])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[146]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[631]);                   /*  SQRT-SS         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[75],VV[4],VVtemp[147],VV[28],VVtemp[148],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[77])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[149]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[632]);                   /*  SQRT-PS         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[77],VV[4],VVtemp[147],VV[28],VVtemp[150],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[79])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[151]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[633]);                   /*  RSQRT-SS        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[79],VV[4],VVtemp[147],VV[28],VVtemp[152],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[81])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[153]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[634]);                   /*  RSQRT-PS        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[81],VV[4],VVtemp[147],VV[28],VVtemp[154],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[83])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[155]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[635]);                   /*  RCP-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[83],VV[4],VVtemp[147],VV[28],VVtemp[156],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[85])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[157]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[636]);                   /*  RCP-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[85],VV[4],VVtemp[147],VV[28],VVtemp[158],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[87])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[159]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[637]);                   /*  AND-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[87],VV[4],VVtemp[122],VV[28],VVtemp[160],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[89])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[161]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[638]);                   /*  ANDNOT-PS       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[89],VV[4],VVtemp[122],VV[28],VVtemp[162],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[91])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[163]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[639]);                   /*  OR-PS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[91],VV[4],VVtemp[122],VV[28],VVtemp[164],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[93])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[165]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[640]);                   /*  XOR-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[93],VV[4],VVtemp[122],VV[28],VVtemp[166],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[95])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[167]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[641]);                   /*  =-SS            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[95],VV[4],VVtemp[122],VV[28],VVtemp[168],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[97])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[169]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[642]);                   /*  =-PS            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[97],VV[4],VVtemp[122],VV[28],VVtemp[170],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[99])                       /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[171]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[643]);                   /*  <-SS            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[99],VV[4],VVtemp[122],VV[28],VVtemp[172],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[101])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[173]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[644]);                   /*  <-PS            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[101],VV[4],VVtemp[122],VV[28],VVtemp[174],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[103])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[175]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[645]);                   /*  <=-SS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[103],VV[4],VVtemp[122],VV[28],VVtemp[176],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[105])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[177]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[646]);                   /*  <=-PS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[105],VV[4],VVtemp[122],VV[28],VVtemp[178],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[107])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[179]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[647]);                   /*  >-SS            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[107],VV[4],VVtemp[122],VV[28],VVtemp[180],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[109])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[181]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[648]);                   /*  >-PS            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[109],VV[4],VVtemp[122],VV[28],VVtemp[182],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[111])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[183]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[649]);                   /*  >=-SS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[111],VV[4],VVtemp[122],VV[28],VVtemp[184],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[113])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[185]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[650]);                   /*  >=-PS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[113],VV[4],VVtemp[122],VV[28],VVtemp[186],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[115])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[187]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[651]);                   /*  /=-SS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[115],VV[4],VVtemp[122],VV[28],VVtemp[188],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[117])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[189]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[652]);                   /*  /=-PS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[117],VV[4],VVtemp[122],VV[28],VVtemp[190],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[119])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[191]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[653]);                   /*  /<-SS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[119],VV[4],VVtemp[122],VV[28],VVtemp[192],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[121])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[193]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[654]);                   /*  /<-PS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[121],VV[4],VVtemp[122],VV[28],VVtemp[194],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[123])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[195]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[655]);                   /*  /<=-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[123],VV[4],VVtemp[122],VV[28],VVtemp[196],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[125])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[197]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[656]);                   /*  /<=-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[125],VV[4],VVtemp[122],VV[28],VVtemp[198],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[127])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[199]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[657]);                   /*  />-SS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[127],VV[4],VVtemp[122],VV[28],VVtemp[200],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[129])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[201]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[658]);                   /*  />-PS           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[129],VV[4],VVtemp[122],VV[28],VVtemp[202],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[131])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[203]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[659]);                   /*  />=-SS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[131],VV[4],VVtemp[122],VV[28],VVtemp[204],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[133])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[205]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[660]);                   /*  />=-PS          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[133],VV[4],VVtemp[122],VV[28],VVtemp[206],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[135])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[207]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[661]);                   /*  CMPORD-SS       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[135],VV[4],VVtemp[122],VV[28],VVtemp[208],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[137])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[209]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[662]);                   /*  CMPORD-PS       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[137],VV[4],VVtemp[122],VV[28],VVtemp[210],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[139])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[211]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[663]);                   /*  CMPUNORD-SS     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[139],VV[4],VVtemp[122],VV[28],VVtemp[212],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[141])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[213]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[664]);                   /*  CMPUNORD-PS     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[141],VV[4],VVtemp[122],VV[28],VVtemp[214],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[143])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[215]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[665]);                   /*  =-SS?           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[143],VV[4],VVtemp[122],VV[145],VVtemp[216],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[146])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[217]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[666]);                   /*  =-SSU?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[146],VV[4],VVtemp[122],VV[145],VVtemp[218],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[148])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[219]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[667]);                   /*  <-SS?           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[148],VV[4],VVtemp[122],VV[145],VVtemp[220],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[150])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[221]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[668]);                   /*  <-SSU?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[150],VV[4],VVtemp[122],VV[145],VVtemp[222],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[152])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[223]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[669]);                   /*  <=-SS?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[152],VV[4],VVtemp[122],VV[145],VVtemp[224],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[154])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[225]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[670]);                   /*  <=-SSU?         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[154],VV[4],VVtemp[122],VV[145],VVtemp[226],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[156])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[227]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[671]);                   /*  >-SS?           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[156],VV[4],VVtemp[122],VV[145],VVtemp[228],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[158])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[229]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[672]);                   /*  >-SSU?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[158],VV[4],VVtemp[122],VV[145],VVtemp[230],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[160])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[231]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[673]);                   /*  >=-SS?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[160],VV[4],VVtemp[122],VV[145],VVtemp[232],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[162])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[233]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[674]);                   /*  >=-SSU?         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[162],VV[4],VVtemp[122],VV[145],VVtemp[234],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[164])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[235]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[675]);                   /*  /=-SS?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[164],VV[4],VVtemp[122],VV[145],VVtemp[236],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[166])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[237]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[676]);                   /*  /=-SSU?         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[166],VV[4],VVtemp[122],VV[145],VVtemp[238],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[168])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[239]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[677]);                   /*  UNPACKHI-PS     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[168],VV[4],VVtemp[122],VV[28],VVtemp[240],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[170])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[241]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[678]);                   /*  UNPACKLO-PS     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[170],VV[4],VVtemp[122],VV[28],VVtemp[242],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[172])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[243]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[679]);                   /*  MOVE-SS         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[172],VV[4],VVtemp[122],VV[28],VVtemp[244],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[174])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[245]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[680]);                   /*  MOVEHL-PS       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[174],VV[4],VVtemp[122],VV[28],VVtemp[246],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[176])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[247]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[681]);                   /*  MOVELH-PS       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[176],VV[4],VVtemp[122],VV[28],VVtemp[248],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[178])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[249]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[682]);                   /*  MOVEMASK-PS     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[178],VV[4],VVtemp[147],ECL_SYM("FIXNUM",1368),VVtemp[250],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[180])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC91shuffle_ps,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[180],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[251]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[180],VV[4],VVtemp[252],VV[28],VVtemp[253],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[182])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[254]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[685]);                   /*  CONVERT-PI32-TO-PS */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[182],VV[4],VVtemp[255],VV[28],VVtemp[256],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[184])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[257]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[686]);                   /*  CONVERT-PS-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[184],VV[4],VVtemp[147],VV[186],VVtemp[258],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[187])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[259]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[687]);                   /*  TRUNCATE-PS-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[187],VV[4],VVtemp[147],VV[186],VVtemp[260],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[189])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[261]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[688]);                   /*  CONVERT-SI32-TO-SS */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[189],VV[4],VVtemp[262],VV[28],VVtemp[263],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[191])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[264]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[689]);                   /*  CONVERT-SS-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[191],VV[4],VVtemp[147],ECL_SYM("FIXNUM",1368),VVtemp[265],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[193])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[266]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[690]);                   /*  TRUNCATE-SS-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[193],VV[4],VVtemp[147],ECL_SYM("FIXNUM",1368),VVtemp[267],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[195])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[268]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[691]);                   /*  CONVERT-SI64-TO-SS */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[195],VV[4],VVtemp[269],VV[28],VVtemp[270],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[197])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[271]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[692]);                   /*  CONVERT-SS-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[197],VV[4],VVtemp[147],ECL_SYM("INT64-T",1374),VVtemp[272],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[199])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[273]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[693]);                   /*  TRUNCATE-SS-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[199],VV[4],VVtemp[147],ECL_SYM("INT64-T",1374),VVtemp[274],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[201])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[275]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[694]);                   /*  SET-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[201],VV[4],VVtemp[55],VV[203],VVtemp[276],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[204])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[277]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[695]);                   /*  SET1-PD         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[204],VV[4],VVtemp[55],VV[203],VVtemp[278],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[206])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[279]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[696]);                   /*  SET-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[206],VV[4],VVtemp[280],VV[203],VVtemp[281],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[208])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[282]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[697]);                   /*  SETR-PD         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[208],VV[4],VVtemp[280],VV[203],VVtemp[283],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[210])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[284]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[698]);                   /*  SETZERO-PD      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[210],VV[4],ECL_NIL,VV[203],VVtemp[285],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[212])                      /*  EXPORT          */;
	si_putprop(VV[212],_ecl_static_16,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[212],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[286]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[699]);                   /*  MEM-REF-SD      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[212],VV[4],VVtemp[1],VV[203],VVtemp[287],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[212],VV[4],VVtemp[3],VV[203],VVtemp[288]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[212],VV[4],VVtemp[5],VV[203],VVtemp[289]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[212],VV[6],VVtemp[7],VV[203],VVtemp[290]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[212],VV[6],VVtemp[9],VV[203],VVtemp[291]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[212],VV[6],VVtemp[11],VV[203],VVtemp[292]) /*  DEF-INLINE */;
	cl_export(1,VV[214])                      /*  EXPORT          */;
	si_putprop(VV[214],_ecl_static_17,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[214],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[293]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[700]);                   /*  MEM-REF-PD      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[214],VV[4],VVtemp[1],VV[203],VVtemp[294],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[214],VV[4],VVtemp[3],VV[203],VVtemp[295]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[214],VV[4],VVtemp[5],VV[203],VVtemp[296]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[214],VV[6],VVtemp[7],VV[203],VVtemp[297]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[214],VV[6],VVtemp[9],VV[203],VVtemp[298]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[214],VV[6],VVtemp[11],VV[203],VVtemp[299]) /*  DEF-INLINE */;
	cl_export(1,VV[216])                      /*  EXPORT          */;
	si_putprop(VV[216],_ecl_static_18,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[216],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[300]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[701]);                   /*  MEM-REF-APD     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[216],VV[4],VVtemp[1],VV[203],VVtemp[301],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[216],VV[4],VVtemp[3],VV[203],VVtemp[302]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[216],VV[4],VVtemp[5],VV[203],VVtemp[303]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[216],VV[6],VVtemp[7],VV[203],VVtemp[304]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[216],VV[6],VVtemp[9],VV[203],VVtemp[305]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[216],VV[6],VVtemp[11],VV[203],VVtemp[306]) /*  DEF-INLINE */;
	cl_export(1,VV[218])                      /*  EXPORT          */;
	si_putprop(VV[218],_ecl_static_19,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[218],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[307]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[702]);                   /*  LOADH-PD        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[218],VV[4],VVtemp[308],VV[203],VVtemp[309],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[218],VV[4],VVtemp[310],VV[203],VVtemp[311]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[218],VV[4],VVtemp[312],VV[203],VVtemp[313]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[218],VV[6],VVtemp[314],VV[203],VVtemp[315]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[218],VV[6],VVtemp[316],VV[203],VVtemp[317]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[218],VV[6],VVtemp[318],VV[203],VVtemp[319]) /*  DEF-INLINE */;
	cl_export(1,VV[220])                      /*  EXPORT          */;
	si_putprop(VV[220],_ecl_static_20,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[220],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[320]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[703]);                   /*  LOADL-PD        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[220],VV[4],VVtemp[308],VV[203],VVtemp[321],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[220],VV[4],VVtemp[310],VV[203],VVtemp[322]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[220],VV[4],VVtemp[312],VV[203],VVtemp[323]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[220],VV[6],VVtemp[314],VV[203],VVtemp[324]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[220],VV[6],VVtemp[316],VV[203],VVtemp[325]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[220],VV[6],VVtemp[318],VV[203],VVtemp[326]) /*  DEF-INLINE */;
	si_putprop(VV[222],_ecl_static_21,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[327]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[704]);                   /*  MEM-SET-SD      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[222],VV[4],VVtemp[328],VV[203],VVtemp[329],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[222],VV[4],VVtemp[330],VV[203],VVtemp[331]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[222],VV[4],VVtemp[332],VV[203],VVtemp[333]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[222],VV[6],VVtemp[334],VV[203],VVtemp[335]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[222],VV[6],VVtemp[336],VV[203],VVtemp[337]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[222],VV[6],VVtemp[338],VV[203],VVtemp[339]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC112mem_ref_sd,ECL_NIL,Cblock);
	si_do_defsetf(VV[212],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[224],_ecl_static_22,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[340]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[705]);                   /*  MEM-SET-PD      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[224],VV[4],VVtemp[328],VV[203],VVtemp[341],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[224],VV[4],VVtemp[330],VV[203],VVtemp[342]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[224],VV[4],VVtemp[332],VV[203],VVtemp[343]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[224],VV[6],VVtemp[334],VV[203],VVtemp[344]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[224],VV[6],VVtemp[336],VV[203],VVtemp[345]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[224],VV[6],VVtemp[338],VV[203],VVtemp[346]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC114mem_ref_pd,ECL_NIL,Cblock);
	si_do_defsetf(VV[214],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[226],_ecl_static_23,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[347]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[706]);                   /*  MEM-SET-APD     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[226],VV[4],VVtemp[328],VV[203],VVtemp[348],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[226],VV[4],VVtemp[330],VV[203],VVtemp[349]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[226],VV[4],VVtemp[332],VV[203],VVtemp[350]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[226],VV[6],VVtemp[334],VV[203],VVtemp[351]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[226],VV[6],VVtemp[336],VV[203],VVtemp[352]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[226],VV[6],VVtemp[338],VV[203],VVtemp[353]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC116mem_ref_apd,ECL_NIL,Cblock);
	si_do_defsetf(VV[216],T0)                 /*  DO-DEFSETF      */;
	cl_export(1,VV[228])                      /*  EXPORT          */;
	si_putprop(VV[228],_ecl_static_24,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[354]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[707]);                   /*  STOREH-PD       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[228],VV[4],VVtemp[328],VV[203],VVtemp[355],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[228],VV[4],VVtemp[330],VV[203],VVtemp[356]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[228],VV[4],VVtemp[332],VV[203],VVtemp[357]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[228],VV[6],VVtemp[334],VV[203],VVtemp[358]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[228],VV[6],VVtemp[336],VV[203],VVtemp[359]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[228],VV[6],VVtemp[338],VV[203],VVtemp[360]) /*  DEF-INLINE */;
	cl_export(1,VV[230])                      /*  EXPORT          */;
	si_putprop(VV[230],_ecl_static_25,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[361]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[708]);                   /*  STOREL-PD       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[230],VV[4],VVtemp[328],VV[203],VVtemp[362],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[230],VV[4],VVtemp[330],VV[203],VVtemp[363]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[230],VV[4],VVtemp[332],VV[203],VVtemp[364]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[230],VV[6],VVtemp[334],VV[203],VVtemp[365]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[230],VV[6],VVtemp[336],VV[203],VVtemp[366]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[230],VV[6],VVtemp[338],VV[203],VVtemp[367]) /*  DEF-INLINE */;
	cl_export(1,VV[232])                      /*  EXPORT          */;
	si_putprop(VV[232],_ecl_static_26,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[368]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[709]);                   /*  STREAM-PD       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[232],VV[4],VVtemp[328],VV[203],VVtemp[369],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[232],VV[4],VVtemp[330],VV[203],VVtemp[370]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[232],VV[4],VVtemp[332],VV[203],VVtemp[371]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[232],VV[6],VVtemp[334],VV[203],VVtemp[372]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[232],VV[6],VVtemp[336],VV[203],VVtemp[373]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[232],VV[6],VVtemp[338],VV[203],VVtemp[374]) /*  DEF-INLINE */;
	cl_export(1,VV[234])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[375]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[710]);                   /*  ADD-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[234],VV[4],VVtemp[376],VV[203],VVtemp[377],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[236])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[378]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[711]);                   /*  ADD-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[236],VV[4],VVtemp[376],VV[203],VVtemp[379],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[238])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[380]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[712]);                   /*  SUB-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[238],VV[4],VVtemp[376],VV[203],VVtemp[381],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[240])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[382]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[713]);                   /*  SUB-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[240],VV[4],VVtemp[376],VV[203],VVtemp[383],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[242])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[384]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[714]);                   /*  MUL-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[242],VV[4],VVtemp[376],VV[203],VVtemp[385],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[244])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[386]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[715]);                   /*  MUL-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[244],VV[4],VVtemp[376],VV[203],VVtemp[387],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[246])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[388]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[716]);                   /*  DIV-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[246],VV[4],VVtemp[376],VV[203],VVtemp[389],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[248])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[390]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[717]);                   /*  DIV-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[248],VV[4],VVtemp[376],VV[203],VVtemp[391],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[250])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[392]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[718]);                   /*  MIN-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[250],VV[4],VVtemp[376],VV[203],VVtemp[393],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[252])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[394]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[719]);                   /*  MIN-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[252],VV[4],VVtemp[376],VV[203],VVtemp[395],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[254])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[396]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[720]);                   /*  MAX-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[254],VV[4],VVtemp[376],VV[203],VVtemp[397],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[256])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[398]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[721]);                   /*  MAX-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[256],VV[4],VVtemp[376],VV[203],VVtemp[399],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[258])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[400]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[722]);                   /*  SQRT-SD         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[258],VV[4],VVtemp[376],VV[203],VVtemp[401],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[260])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[402]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[723]);                   /*  SQRT-PD         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[260],VV[4],VVtemp[403],VV[203],VVtemp[404],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[262])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[405]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[724]);                   /*  AND-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[262],VV[4],VVtemp[376],VV[203],VVtemp[406],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[264])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[407]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[725]);                   /*  ANDNOT-PD       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[264],VV[4],VVtemp[376],VV[203],VVtemp[408],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[266])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[409]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[726]);                   /*  OR-PD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[266],VV[4],VVtemp[376],VV[203],VVtemp[410],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[268])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[411]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[727]);                   /*  XOR-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[268],VV[4],VVtemp[376],VV[203],VVtemp[412],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[270])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[413]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[728]);                   /*  =-SD            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[270],VV[4],VVtemp[376],VV[203],VVtemp[414],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[272])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[415]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[729]);                   /*  =-PD            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[272],VV[4],VVtemp[376],VV[203],VVtemp[416],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[274])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[417]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[730]);                   /*  <-SD            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[274],VV[4],VVtemp[376],VV[203],VVtemp[418],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[276])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[419]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[731]);                   /*  <-PD            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[276],VV[4],VVtemp[376],VV[203],VVtemp[420],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[278])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[421]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[732]);                   /*  <=-SD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[278],VV[4],VVtemp[376],VV[203],VVtemp[422],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[280])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[423]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[733]);                   /*  <=-PD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[280],VV[4],VVtemp[376],VV[203],VVtemp[424],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[282])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[425]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[734]);                   /*  >-SD            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[282],VV[4],VVtemp[376],VV[203],VVtemp[426],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[284])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[427]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[735]);                   /*  >-PD            */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[284],VV[4],VVtemp[376],VV[203],VVtemp[428],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[286])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[429]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[736]);                   /*  >=-SD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[286],VV[4],VVtemp[376],VV[203],VVtemp[430],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[288])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[431]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[737]);                   /*  >=-PD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[288],VV[4],VVtemp[376],VV[203],VVtemp[432],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[290])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[433]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[738]);                   /*  /=-SD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[290],VV[4],VVtemp[376],VV[203],VVtemp[434],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[292])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[435]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[739]);                   /*  /=-PD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[292],VV[4],VVtemp[376],VV[203],VVtemp[436],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[294])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[437]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[740]);                   /*  /<-SD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[294],VV[4],VVtemp[376],VV[203],VVtemp[438],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[296])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[439]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[741]);                   /*  /<-PD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[296],VV[4],VVtemp[376],VV[203],VVtemp[440],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[298])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[441]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[742]);                   /*  /<=-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[298],VV[4],VVtemp[376],VV[203],VVtemp[442],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[300])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[443]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[743]);                   /*  /<=-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[300],VV[4],VVtemp[376],VV[203],VVtemp[444],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[302])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[445]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[744]);                   /*  />-SD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[302],VV[4],VVtemp[376],VV[203],VVtemp[446],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[304])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[447]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[745]);                   /*  />-PD           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[304],VV[4],VVtemp[376],VV[203],VVtemp[448],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[306])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[449]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[746]);                   /*  />=-SD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[306],VV[4],VVtemp[376],VV[203],VVtemp[450],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[308])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[451]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[747]);                   /*  />=-PD          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[308],VV[4],VVtemp[376],VV[203],VVtemp[452],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[310])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[453]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[748]);                   /*  CMPORD-SD       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[310],VV[4],VVtemp[376],VV[203],VVtemp[454],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[312])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[455]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[749]);                   /*  CMPORD-PD       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[312],VV[4],VVtemp[376],VV[203],VVtemp[456],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[314])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[457]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[750]);                   /*  CMPUNORD-SD     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[314],VV[4],VVtemp[376],VV[203],VVtemp[458],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[316])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[459]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[751]);                   /*  CMPUNORD-PD     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[316],VV[4],VVtemp[376],VV[203],VVtemp[460],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[318])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[461]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[752]);                   /*  =-SD?           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[318],VV[4],VVtemp[376],VV[145],VVtemp[462],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[320])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[463]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[753]);                   /*  =-SDU?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[320],VV[4],VVtemp[376],VV[145],VVtemp[464],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[322])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[465]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[754]);                   /*  <-SD?           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[322],VV[4],VVtemp[376],VV[145],VVtemp[466],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[324])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[467]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[755]);                   /*  <-SDU?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[324],VV[4],VVtemp[376],VV[145],VVtemp[468],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[326])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[469]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[756]);                   /*  <=-SD?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[326],VV[4],VVtemp[376],VV[145],VVtemp[470],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[328])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[471]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[757]);                   /*  <=-SDU?         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[328],VV[4],VVtemp[376],VV[145],VVtemp[472],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[330])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[473]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[758]);                   /*  >-SD?           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[330],VV[4],VVtemp[376],VV[145],VVtemp[474],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[332])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[475]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[759]);                   /*  >-SDU?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[332],VV[4],VVtemp[376],VV[145],VVtemp[476],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[334])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[477]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[760]);                   /*  >=-SD?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[334],VV[4],VVtemp[376],VV[145],VVtemp[478],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[336])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[479]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[761]);                   /*  >=-SDU?         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[336],VV[4],VVtemp[376],VV[145],VVtemp[480],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[338])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[481]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[762]);                   /*  /=-SD?          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[338],VV[4],VVtemp[376],VV[145],VVtemp[482],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[340])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[483]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[763]);                   /*  /=-SDU?         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[340],VV[4],VVtemp[376],VV[145],VVtemp[484],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[342])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[485]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[764]);                   /*  UNPACKHI-PD     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[342],VV[4],VVtemp[376],VV[203],VVtemp[486],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[344])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[487]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[765]);                   /*  UNPACKLO-PD     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[344],VV[4],VVtemp[376],VV[203],VVtemp[488],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[346])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[489]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[766]);                   /*  MOVE-SD         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[346],VV[4],VVtemp[376],VV[203],VVtemp[490],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[348])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[491]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[767]);                   /*  MOVEMASK-PD     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[348],VV[4],VVtemp[403],ECL_SYM("FIXNUM",1368),VVtemp[492],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[350])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC178shuffle_pd,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[350],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[493]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[350],VV[4],VVtemp[494],VV[203],VVtemp[495],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[352])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[496]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[768]);                   /*  CONVERT-PS-TO-PD */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[352],VV[4],VVtemp[147],VV[203],VVtemp[497],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[354])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[498]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[769]);                   /*  CONVERT-PD-TO-PS */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[354],VV[4],VVtemp[403],VV[28],VVtemp[499],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[356])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[500]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[770]);                   /*  CONVERT-SS-TO-SD */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[356],VV[4],VVtemp[501],VV[203],VVtemp[502],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[358])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[503]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[771]);                   /*  CONVERT-SD-TO-SS */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[358],VV[4],VVtemp[504],VV[28],VVtemp[505],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[360])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[506]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[772]);                   /*  CONVERT-PI32-TO-PD */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[360],VV[4],VVtemp[255],VV[203],VVtemp[507],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[362])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[508]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[773]);                   /*  CONVERT-PD-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[362],VV[4],VVtemp[403],VV[186],VVtemp[509],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[364])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[510]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[774]);                   /*  TRUNCATE-PD-TO-PI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[364],VV[4],VVtemp[403],VV[186],VVtemp[511],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[366])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[512]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[775]);                   /*  CONVERT-SI32-TO-SD */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[366],VV[4],VVtemp[513],VV[203],VVtemp[514],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[368])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[515]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[776]);                   /*  CONVERT-SD-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[368],VV[4],VVtemp[403],ECL_SYM("FIXNUM",1368),VVtemp[516],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[370])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[517]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[777]);                   /*  TRUNCATE-SD-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[370],VV[4],VVtemp[403],ECL_SYM("FIXNUM",1368),VVtemp[518],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[372])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[519]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[778]);                   /*  CONVERT-SI64-TO-SD */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[372],VV[4],VVtemp[520],VV[203],VVtemp[521],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[374])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[522]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[779]);                   /*  CONVERT-SD-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[374],VV[4],VVtemp[403],ECL_SYM("INT64-T",1374),VVtemp[523],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[376])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[524]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[780]);                   /*  TRUNCATE-SD-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[376],VV[4],VVtemp[403],ECL_SYM("INT64-T",1374),VVtemp[525],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[378])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[526]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[781]);                   /*  SET1-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[378],VV[4],VVtemp[44],VV[186],VVtemp[527],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[380])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[528]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[782]);                   /*  SET1-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[380],VV[4],VVtemp[44],VV[186],VVtemp[529],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[382])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[530]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[783]);                   /*  SET1-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[382],VV[4],VVtemp[44],VV[186],VVtemp[531],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[384])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[532]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[784]);                   /*  SET1-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[384],VV[4],VVtemp[533],VV[186],VVtemp[534],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[386])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[535]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[785]);                   /*  SET1-PU32       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[386],VV[4],VVtemp[44],VV[186],VVtemp[531],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[388])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[536]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[786]);                   /*  SET1-PU64       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[388],VV[4],VVtemp[537],VV[186],VVtemp[534],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[390])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[538]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[787]);                   /*  SET-PI8         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[390],VV[4],VVtemp[539],VV[186],VVtemp[540],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[392])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[541]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[788]);                   /*  SET-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[392],VV[4],VVtemp[542],VV[186],VVtemp[543],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[394])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[544]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[789]);                   /*  SET-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[394],VV[4],VVtemp[545],VV[186],VVtemp[546],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[396])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[547]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[790]);                   /*  SET-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[396],VV[4],VVtemp[548],VV[186],VVtemp[549],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[398])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[550]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[791]);                   /*  SET-PU32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[398],VV[4],VVtemp[545],VV[186],VVtemp[546],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[400])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[551]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[792]);                   /*  SET-PU64        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[400],VV[4],VVtemp[552],VV[186],VVtemp[549],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[402])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[553]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[793]);                   /*  SETR-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[402],VV[4],VVtemp[539],VV[186],VVtemp[554],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[404])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[555]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[794]);                   /*  SETR-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[404],VV[4],VVtemp[542],VV[186],VVtemp[556],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[406])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[557]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[795]);                   /*  SETR-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[406],VV[4],VVtemp[545],VV[186],VVtemp[558],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[408])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[559]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[796]);                   /*  SETR-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[408],VV[4],VVtemp[548],VV[186],VVtemp[560],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[410])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[561]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[797]);                   /*  SETR-PU32       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[410],VV[4],VVtemp[545],VV[186],VVtemp[558],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[412])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[562]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[798]);                   /*  SETR-PU64       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[412],VV[4],VVtemp[552],VV[186],VVtemp[560],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[414])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[563]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[799]);                   /*  SETZERO-PI      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[414],VV[4],ECL_NIL,VV[186],VVtemp[564],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[416])                      /*  EXPORT          */;
	si_putprop(VV[416],_ecl_static_27,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[416],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[565]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[800]);                   /*  MEM-REF-PI      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[416],VV[4],VVtemp[1],VV[186],VVtemp[566],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[416],VV[4],VVtemp[3],VV[186],VVtemp[567]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[416],VV[4],VVtemp[5],VV[186],VVtemp[568]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[416],VV[6],VVtemp[7],VV[186],VVtemp[569]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[416],VV[6],VVtemp[9],VV[186],VVtemp[570]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[416],VV[6],VVtemp[11],VV[186],VVtemp[571]) /*  DEF-INLINE */;
	cl_export(1,VV[418])                      /*  EXPORT          */;
	si_putprop(VV[418],_ecl_static_28,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[418],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[572]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[801]);                   /*  MEM-REF-API     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[418],VV[4],VVtemp[1],VV[186],VVtemp[573],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[418],VV[4],VVtemp[3],VV[186],VVtemp[574]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[418],VV[4],VVtemp[5],VV[186],VVtemp[575]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[418],VV[6],VVtemp[7],VV[186],VVtemp[576]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[418],VV[6],VVtemp[9],VV[186],VVtemp[577]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[418],VV[6],VVtemp[11],VV[186],VVtemp[578]) /*  DEF-INLINE */;
	cl_export(1,VV[420])                      /*  EXPORT          */;
	si_putprop(VV[420],_ecl_static_29,VV[1])  /*  PUTPROP         */;
	si_putprop(VV[420],_ecl_static_7,VV[2])   /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[579]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[802]);                   /*  MEM-REF-SI64    */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[420],VV[4],VVtemp[1],VV[186],VVtemp[580],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[420],VV[4],VVtemp[3],VV[186],VVtemp[581]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[420],VV[4],VVtemp[5],VV[186],VVtemp[582]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[420],VV[6],VVtemp[7],VV[186],VVtemp[583]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[420],VV[6],VVtemp[9],VV[186],VVtemp[584]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[420],VV[6],VVtemp[11],VV[186],VVtemp[585]) /*  DEF-INLINE */;
	si_putprop(VV[422],_ecl_static_30,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[586]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[803]);                   /*  MEM-SET-PI      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[422],VV[4],VVtemp[587],VV[186],VVtemp[588],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[422],VV[4],VVtemp[589],VV[186],VVtemp[590]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[422],VV[4],VVtemp[591],VV[186],VVtemp[592]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[422],VV[6],VVtemp[593],VV[186],VVtemp[594]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[422],VV[6],VVtemp[595],VV[186],VVtemp[596]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[422],VV[6],VVtemp[597],VV[186],VVtemp[598]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC215mem_ref_pi,ECL_NIL,Cblock);
	si_do_defsetf(VV[416],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[424],_ecl_static_31,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[599]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[804]);                   /*  MEM-SET-API     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[424],VV[4],VVtemp[587],VV[186],VVtemp[600],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[424],VV[4],VVtemp[589],VV[186],VVtemp[601]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[424],VV[4],VVtemp[591],VV[186],VVtemp[602]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[424],VV[6],VVtemp[593],VV[186],VVtemp[603]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[424],VV[6],VVtemp[595],VV[186],VVtemp[604]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[424],VV[6],VVtemp[597],VV[186],VVtemp[605]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC217mem_ref_api,ECL_NIL,Cblock);
	si_do_defsetf(VV[418],T0)                 /*  DO-DEFSETF      */;
	si_putprop(VV[426],_ecl_static_32,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[606]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[805]);                   /*  MEM-SET-SI64    */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[426],VV[4],VVtemp[587],VV[186],VVtemp[607],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[426],VV[4],VVtemp[589],VV[186],VVtemp[608]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[426],VV[4],VVtemp[591],VV[186],VVtemp[609]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[426],VV[6],VVtemp[593],VV[186],VVtemp[610]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[426],VV[6],VVtemp[595],VV[186],VVtemp[611]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[426],VV[6],VVtemp[597],VV[186],VVtemp[612]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC219mem_ref_si64,ECL_NIL,Cblock);
	si_do_defsetf(VV[420],T0)                 /*  DO-DEFSETF      */;
	cl_export(1,VV[428])                      /*  EXPORT          */;
	si_putprop(VV[428],_ecl_static_33,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[613]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[806]);                   /*  STREAM-PI       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[428],VV[4],VVtemp[587],VV[186],VVtemp[614],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[428],VV[4],VVtemp[589],VV[186],VVtemp[615]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[428],VV[4],VVtemp[591],VV[186],VVtemp[616]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[428],VV[6],VVtemp[593],VV[186],VVtemp[617]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[428],VV[6],VVtemp[595],VV[186],VVtemp[618]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[428],VV[6],VVtemp[597],VV[186],VVtemp[619]) /*  DEF-INLINE */;
	cl_export(1,VV[430])                      /*  EXPORT          */;
	si_putprop(VV[430],_ecl_static_34,VV[1])  /*  PUTPROP         */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[620]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[807]);                   /*  MASKMOVEU-PI    */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[430],VV[4],VVtemp[621],ECL_SYM("OBJECT",1279),VVtemp[622],VV[5],ECL_T) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[430],VV[4],VVtemp[623],ECL_SYM("OBJECT",1279),VVtemp[624]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[430],VV[4],VVtemp[625],ECL_SYM("OBJECT",1279),VVtemp[626]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[430],VV[6],VVtemp[627],ECL_SYM("OBJECT",1279),VVtemp[628]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[430],VV[6],VVtemp[629],ECL_SYM("OBJECT",1279),VVtemp[630]) /*  DEF-INLINE */;
	ecl_function_dispatch(cl_env_copy,VV[596])(5,VV[430],VV[6],VVtemp[631],ECL_SYM("OBJECT",1279),VVtemp[632]) /*  DEF-INLINE */;
	cl_export(1,VV[432])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[633]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[808]);                   /*  ADD-PI8         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[432],VV[4],VVtemp[634],VV[186],VVtemp[635],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[434])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[636]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[809]);                   /*  ADD-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[434],VV[4],VVtemp[634],VV[186],VVtemp[637],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[436])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[638]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[810]);                   /*  ADD-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[436],VV[4],VVtemp[634],VV[186],VVtemp[639],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[438])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[640]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[811]);                   /*  ADD-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[438],VV[4],VVtemp[634],VV[186],VVtemp[641],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[440])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[642]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[812]);                   /*  ADDS-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[440],VV[4],VVtemp[634],VV[186],VVtemp[643],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[442])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[644]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[813]);                   /*  ADDS-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[442],VV[4],VVtemp[634],VV[186],VVtemp[645],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[444])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[646]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[814]);                   /*  ADDS-PU8        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[444],VV[4],VVtemp[634],VV[186],VVtemp[647],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[446])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[648]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[815]);                   /*  ADDS-PU16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[446],VV[4],VVtemp[634],VV[186],VVtemp[649],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[448])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[650]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[816]);                   /*  AVG-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[448],VV[4],VVtemp[634],VV[186],VVtemp[651],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[450])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[652]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[817]);                   /*  AVG-PU16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[450],VV[4],VVtemp[634],VV[186],VVtemp[653],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[452])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[654]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[818]);                   /*  MADD-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[452],VV[4],VVtemp[634],VV[186],VVtemp[655],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[454])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[656]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[819]);                   /*  MAX-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[454],VV[4],VVtemp[634],VV[186],VVtemp[657],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[456])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[658]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[820]);                   /*  MAX-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[456],VV[4],VVtemp[634],VV[186],VVtemp[659],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[458])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[660]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[821]);                   /*  MIN-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[458],VV[4],VVtemp[634],VV[186],VVtemp[661],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[460])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[662]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[822]);                   /*  MIN-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[460],VV[4],VVtemp[634],VV[186],VVtemp[663],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[462])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[664]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[823]);                   /*  MULHI-PI16      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[462],VV[4],VVtemp[634],VV[186],VVtemp[665],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[464])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[666]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[824]);                   /*  MULHI-PU16      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[464],VV[4],VVtemp[634],VV[186],VVtemp[667],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[466])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[668]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[825]);                   /*  MULLO-PI16      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[466],VV[4],VVtemp[634],VV[186],VVtemp[669],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[468])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[670]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[826]);                   /*  MUL-PU32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[468],VV[4],VVtemp[634],VV[186],VVtemp[671],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[470])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[672]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[827]);                   /*  SAD-PU8         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[470],VV[4],VVtemp[634],VV[186],VVtemp[673],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[472])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[674]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[828]);                   /*  SUB-PI8         */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[472],VV[4],VVtemp[634],VV[186],VVtemp[675],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[474])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[676]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[829]);                   /*  SUB-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[474],VV[4],VVtemp[634],VV[186],VVtemp[677],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[476])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[678]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[830]);                   /*  SUB-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[476],VV[4],VVtemp[634],VV[186],VVtemp[679],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[478])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[680]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[831]);                   /*  SUB-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[478],VV[4],VVtemp[634],VV[186],VVtemp[681],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[480])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[682]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[832]);                   /*  SUBS-PI8        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[480],VV[4],VVtemp[634],VV[186],VVtemp[683],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[482])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[684]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[833]);                   /*  SUBS-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[482],VV[4],VVtemp[634],VV[186],VVtemp[685],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[484])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[686]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[834]);                   /*  SUBS-PU8        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[484],VV[4],VVtemp[634],VV[186],VVtemp[687],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[486])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[688]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[835]);                   /*  SUBS-PU16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[486],VV[4],VVtemp[634],VV[186],VVtemp[689],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[488])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[690]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[836]);                   /*  AND-PI          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[488],VV[4],VVtemp[634],VV[186],VVtemp[691],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[490])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[692]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[837]);                   /*  ANDNOT-PI       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[490],VV[4],VVtemp[634],VV[186],VVtemp[693],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[492])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[694]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[838]);                   /*  OR-PI           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[492],VV[4],VVtemp[634],VV[186],VVtemp[695],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[494])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[696]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[839]);                   /*  XOR-PI          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[494],VV[4],VVtemp[634],VV[186],VVtemp[697],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[496])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC254slli_pi,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[496],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[698]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[496],VV[4],VVtemp[699],VV[186],VVtemp[700],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[497])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[701]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[840]);                   /*  SLLI-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[497],VV[4],VVtemp[699],VV[186],VVtemp[702],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[499])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[703]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[841]);                   /*  SLLI-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[499],VV[4],VVtemp[699],VV[186],VVtemp[704],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[501])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[705]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[842]);                   /*  SLLI-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[501],VV[4],VVtemp[699],VV[186],VVtemp[706],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[503])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[707]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[843]);                   /*  SLL-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[503],VV[4],VVtemp[634],VV[186],VVtemp[708],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[505])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[709]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[844]);                   /*  SLL-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[505],VV[4],VVtemp[634],VV[186],VVtemp[710],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[507])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[711]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[845]);                   /*  SLL-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[507],VV[4],VVtemp[634],VV[186],VVtemp[712],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[509])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[713]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[846]);                   /*  SRAI-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[509],VV[4],VVtemp[699],VV[186],VVtemp[714],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[511])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[715]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[847]);                   /*  SRAI-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[511],VV[4],VVtemp[699],VV[186],VVtemp[716],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[513])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[717]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[848]);                   /*  SRA-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[513],VV[4],VVtemp[634],VV[186],VVtemp[718],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[515])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[719]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[849]);                   /*  SRA-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[515],VV[4],VVtemp[634],VV[186],VVtemp[720],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[517])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC265srli_pi,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[517],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[721]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[517],VV[4],VVtemp[699],VV[186],VVtemp[722],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[518])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[723]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[850]);                   /*  SRLI-PI16       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[518],VV[4],VVtemp[699],VV[186],VVtemp[724],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[520])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[725]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[851]);                   /*  SRLI-PI32       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[520],VV[4],VVtemp[699],VV[186],VVtemp[726],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[522])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[727]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[852]);                   /*  SRLI-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[522],VV[4],VVtemp[699],VV[186],VVtemp[728],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[524])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[729]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[853]);                   /*  SRL-PI16        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[524],VV[4],VVtemp[634],VV[186],VVtemp[730],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[526])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[731]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[854]);                   /*  SRL-PI32        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[526],VV[4],VVtemp[634],VV[186],VVtemp[732],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[528])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[733]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[855]);                   /*  SRL-PI64        */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[528],VV[4],VVtemp[634],VV[186],VVtemp[734],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[530])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[735]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[856]);                   /*  =-PI8           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[530],VV[4],VVtemp[634],VV[186],VVtemp[736],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[532])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[737]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[857]);                   /*  =-PI16          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[532],VV[4],VVtemp[634],VV[186],VVtemp[738],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[534])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[739]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[858]);                   /*  =-PI32          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[534],VV[4],VVtemp[634],VV[186],VVtemp[740],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[536])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[741]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[859]);                   /*  <-PI8           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[536],VV[4],VVtemp[634],VV[186],VVtemp[742],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[538])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[743]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[860]);                   /*  <-PI16          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[538],VV[4],VVtemp[634],VV[186],VVtemp[744],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[540])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[745]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[861]);                   /*  <-PI32          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[540],VV[4],VVtemp[634],VV[186],VVtemp[746],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[542])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[747]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[862]);                   /*  >-PI8           */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[542],VV[4],VVtemp[634],VV[186],VVtemp[748],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[544])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[749]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[863]);                   /*  >-PI16          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[544],VV[4],VVtemp[634],VV[186],VVtemp[750],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[546])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[751]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[864]);                   /*  >-PI32          */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[546],VV[4],VVtemp[634],VV[186],VVtemp[752],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[548])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[753]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[865]);                   /*  PACKS-PI16      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[548],VV[4],VVtemp[634],VV[186],VVtemp[754],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[550])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[755]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[866]);                   /*  PACKS-PI32      */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[550],VV[4],VVtemp[634],VV[186],VVtemp[756],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[552])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[757]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[867]);                   /*  PACKUS-PI16     */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[552],VV[4],VVtemp[634],VV[186],VVtemp[758],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[554])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC284extract_pi16,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[554],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[759]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[554],VV[4],VVtemp[699],ECL_SYM("FIXNUM",1368),VVtemp[760],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[555])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC285insert_pi16,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[555],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[761]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[555],VV[4],VVtemp[762],VV[186],VVtemp[763],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[556])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[764]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[868]);                   /*  MOVEMASK-PI8    */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[556],VV[4],VVtemp[255],ECL_SYM("FIXNUM",1368),VVtemp[765],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[558])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[766]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[869]);                   /*  UNPACKHI-PI8    */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[558],VV[4],VVtemp[634],VV[186],VVtemp[767],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[560])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[768]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[870]);                   /*  UNPACKHI-PI16   */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[560],VV[4],VVtemp[634],VV[186],VVtemp[769],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[562])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[770]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[871]);                   /*  UNPACKHI-PI32   */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[562],VV[4],VVtemp[634],VV[186],VVtemp[771],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[564])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[772]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[872]);                   /*  UNPACKHI-PI64   */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[564],VV[4],VVtemp[634],VV[186],VVtemp[773],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[566])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[774]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[873]);                   /*  UNPACKLO-PI8    */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[566],VV[4],VVtemp[634],VV[186],VVtemp[775],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[568])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[776]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[874]);                   /*  UNPACKLO-PI16   */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[568],VV[4],VVtemp[634],VV[186],VVtemp[777],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[570])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[778]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[875]);                   /*  UNPACKLO-PI32   */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[570],VV[4],VVtemp[634],VV[186],VVtemp[779],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[572])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[780]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[876]);                   /*  UNPACKLO-PI64   */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[572],VV[4],VVtemp[634],VV[186],VVtemp[781],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[574])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[782]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[877]);                   /*  MOVE-PI64       */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[574],VV[4],VVtemp[255],VV[186],VVtemp[783],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[576])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC296shuffle_pi32,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[576],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[784]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[576],VV[4],VVtemp[699],VV[186],VVtemp[785],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[577])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC297shufflelo_pi16,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[577],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[786]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[577],VV[4],VVtemp[699],VV[186],VVtemp[787],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[578])                      /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC298shufflehi_pi16,ECL_NIL,Cblock,2);
	si_put_sysprop(VV[578],ECL_SYM("COMPILER-MACRO",238),T0) /*  PUT-SYSPROP */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[788]) /*  PROCLAIM */;
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[578],VV[4],VVtemp[699],VV[186],VVtemp[789],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[579])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[790]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[878]);                   /*  CONVERT-SI32-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[579],VV[4],VVtemp[44],VV[186],VVtemp[791],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[581])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[792]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[879]);                   /*  CONVERT-SU32-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[581],VV[4],VVtemp[44],VV[186],VVtemp[791],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[583])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[793]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[880]);                   /*  CONVERT-SI64-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[583],VV[4],VVtemp[533],VV[186],VVtemp[794],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[585])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[795]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[881]);                   /*  CONVERT-SU64-TO-PI */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[585],VV[4],VVtemp[537],VV[186],VVtemp[794],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[587])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[796]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[882]);                   /*  CONVERT-PI-TO-SI32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[587],VV[4],VVtemp[255],ECL_SYM("FIXNUM",1368),VVtemp[797],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[589])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[798]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[883]);                   /*  CONVERT-PI-TO-SU32 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[589],VV[4],VVtemp[255],ECL_SYM("FIXNUM",1368),VVtemp[797],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[591])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[799]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[884]);                   /*  CONVERT-PI-TO-SI64 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[591],VV[4],VVtemp[255],ECL_SYM("INT64-T",1374),VVtemp[800],VV[5],ECL_T) /*  DEF-INLINE */;
	cl_export(1,VV[593])                      /*  EXPORT          */;
	(cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1,VVtemp[801]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[885]);                   /*  CONVERT-PI-TO-SU64 */
	ecl_function_dispatch(cl_env_copy,VV[596])(7,VV[593],VV[4],VVtemp[255],ECL_SYM("UINT64-T",1386),VVtemp[800],VV[5],ECL_T) /*  DEF-INLINE */;
}
